<!doctype html>
<html>
<head>
    <title>Tor At The Heart: Cryptocurrencies | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor At The Heart: Cryptocurrencies | Tor Project">
    <meta property="og:description" content="During the month of December, we&#39;re highlighting other organizations and projects that rely on...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-heart-cryptocurrencies/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor At The Heart: Cryptocurrencies
      </h1>
    <p class="meta">by asn | December 20, 2016</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p><i>During the month of December, we're highlighting other organizations and projects that rely on Tor, build on Tor, or are accomplishing their missions better because Tor exists. Check out our blog each day to learn about our fellow travelers. And please support the Tor Project! We're at the heart of Internet freedom.</i> <a href="https://torproject.org/donate/donate-blog19" rel="nofollow">Donate today</a>!</p>

<p><a href="https://extra.torproject.org/blog/2016-12-20-tor-heart-cryptocurrencies/kingonion.png" rel="nofollow"><br />
<img src="https://extra.torproject.org/blog/2016-12-20-tor-heart-cryptocurrencies/kingonion.png" width="320px" /><br />
</a></p>

<p>The topic for today is electronic money. The blockchain is pretty hot right now!  Bitcoin, dogecoin, ethereum, zcash you name it... Cryptocurencies have grown from e-toys to globally recognized systems by facilitating free and borderless trade, no bank fees and improved privacy.</p>

<p>You are reading the Tor blog, so let's focus on the privacy and anonymity part. Could cryptocurrencies <a href="https://www.weusecoins.com/why-use-bitcoin/" rel="nofollow">claim that they provide privacy</a> if Tor was not around to give strong transport-layer anonymity?</p>

<p>To visualize this, let's go through just a few ways Tor is used around the cryptocurrency ecosystem. We will mainly focus on Bitcoin, but the same applies to most blockchain-based cryptocurrencies:</p>

<h1>Tor provides privacy to cryptocurrency transactions!</h1>

<p>Let's imagine that Alice wants to buy a ticket for Torconf, the best (fictional) conference on computer anonymity. She wants to buy the ticket with Bitcoin so that she does not reveal her interests to her bank or her identity to the conference organizers. To buy the ticket with Bitcoin, she needs to perform a Bitcoin transaction.</p>

<p>Bitcoin transactions work by Alice broadcasting her transaction to a few Bitcoin supernodes. Those nodes then propagate the transaction further to the rest of the Bitcoin network until it becomes recognized. If Alice did not use Tor to conduct her transaction, those initial supernodes trivially learn the IP address of Alice. Furthermore, since the Bitcoin blockchain is a public log of transactions, analysts could match her newest transaction with her previous transactions and just follow the money trail. These are just some of the many <a href="https://arxiv.org/abs/1107.4524" rel="nofollow">well known</a> <a href="https://en.bitcoin.it/wiki/Anonymity" rel="nofollow">privacy risks of Bitcoin</a>, and companies have been collecting and selling social graph analytics of the Bitcoin blockchain for years now...</p>

<p>Given the above threats, it should be no surprise that most Bitcoin clients give the option to their users to perform transactions over the Tor network. By routing traffic over Tor, no one learns the origin IP address of Alice when she buys her Torconf ticket.</p>

<p>Furthermore, even the hottest and newest cryptocurrencies (like Zcash) that provide transaction anonymity as a fundamental security property still benefit from Tor's transport-layer anonymity to actually anonymize the networking part of the Zcash transaction.</p>

<p>We feel that Tor has tremendously helped the cryptocurrency community to grow just by providing transport-layer anonymity to transactions! Also, please remember that maintaining anonymity is not an easy task, so always be up-to-date <a href="https://arxiv.org/abs/1410.6079" rel="nofollow">on the latest security news depending on your threat model</a>.</p>

<h1>Tor secures cryptocurrency networks!</h1>

<p>Apart from users performing anonymous Bitcoin transactions, the Bitcoin network itself uses Tor to increase its defenses. Since last year, the Bitcoin core project <a href="https://github.com/bitcoin/bitcoin/blob/master/doc/tor.md#3-automatically-listen-on-tor" rel="nofollow">has integrated Tor onion services to their core network daemon</a>. If Tor is installed in the system, Bitcoin will automatically create an onion service and act as a Bitcoin node over Tor to avoid leaking the real IP address of the node. This provides greater network resilience and protection against targeted attacks to Bitcoin nodes. You can see that there are <a href="https://bitnodes.21.co/nodes/" rel="nofollow">hundreds of Tor bitcoin nodes</a>. Zcash and other cryptocurrencies <a href="https://github.com/zcash/zcash/blob/master/doc/tor.md" rel="nofollow">have followed the same path</a>.</p>

<p>Furthermore, many mining pools advertise onion service support for their miners. Bitcoin infrastructure has been a target of hackers for a while, and virgin blocks are more and more valuable, so having anonymity as a miner is a desirable security property.</p>

<h1>Tor protects the wider cryptocurrency ecosystem!</h1>

<p>If you take a look around the Bitcoin world, you will notice that Tor support is advertised by all sorts of websites and services! Most bitcoin-related websites have onion sites that people can visit over Tor: for example, blockchain.info has been <a href="https://blockchainbdgpzk.onion/" rel="nofollow">running a popular Tor onion service</a> for its users. Most Bitcoin tumbler services also work over Tor onion services. Same goes for websites and forums offering help with Bitcoin. This is obviously done because the Bitcoin community has a great appreciation and need for privacy.</p>

<p>Tor is proud to have helped the cryptocurrency community grow over the years. We believe that electronic currencies can be a powerful tool for social change, but also a great scientific research area with results that can benefit other areas, like secure electronic voting, consensus algorithms, append-only data structures and secure name systems.</p>

<p>Help Tor grow the cypherpunk ecosystem <a href="https://torproject.org/donate/donate-blog19" rel="nofollow">by donating today!</a>! <a href="https://www.torproject.org/donate/donate-options.html.en" rel="nofollow">We also accept Bitcoin!</a></p>

<p>Have a good day :)</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/onion-services">
          onion services
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-226322"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-226322" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 19, 2016</p>
    </div>
    <a href="#comment-226322">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-226322" class="permalink" rel="bookmark">Can I donate with monero or</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can I donate with monero or zcash?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-226331"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-226331" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 19, 2016</p>
    </div>
    <a href="#comment-226331">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-226331" class="permalink" rel="bookmark">Bitcoin does the correct</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Bitcoin does the correct thing. ZCash is a fork of Bitcoin with a poorly implemented plugin that is meant to provide support for the ZeroCash protocol, but it inherits the same Tor support that Bitcoin developed. It is an insult to the Bitcoin developers to list ZCash as if it's done any work in this arena at all.</p>
<p>It's also pretty telling that Monero is entirely ignored by this article, despite it's cypherpunk routes and pro-privacy efforts, simply because it is focused on i2p in addition to Tor (<a href="https://github.com/monero-project/kovri" rel="nofollow">https://github.com/monero-project/kovri</a>).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-226541"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-226541" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 20, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-226331" class="permalink" rel="bookmark">Bitcoin does the correct</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-226541">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-226541" class="permalink" rel="bookmark">Not co-operating with I2P</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Not co-operating with I2P could very well be the actual, long-term downfall of Tor, so I really hope that isn't what's going on.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-226647"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-226647" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 20, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-226541" class="permalink" rel="bookmark">Not co-operating with I2P</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-226647">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-226647" class="permalink" rel="bookmark">&gt; Not co-operating with I2P</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Not co-operating with I2P could very well be the actual, long-term downfall of Tor,</p>
<p>How so?</p>
<p>Years ago I2P was in Tails, but it seems to have been dropped.  Years ago an independent security audit found flaws in I2P, but I don't know whether they have been fixed.  If you know more, please explain.</p>
<p>&gt; so I really hope that isn't what's going on.</p>
<p>Huh?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-226545"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-226545" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  asn
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">George Kadianakis</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/33">George Kadianakis</a> said:</p>
      <p class="date-time">December 20, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-226331" class="permalink" rel="bookmark">Bitcoin does the correct</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-226545">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-226545" class="permalink" rel="bookmark">Hey, I didn&#039;t talk about</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hey, I didn't talk about Monero because I'm not familiar with it or how it works or how Tor is integrated with it. I tried to restrict my topics to things that I kinda know about :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-226592"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-226592" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 20, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-226545" class="permalink" rel="bookmark">Hey, I didn&#039;t talk about</a> by <a class="tor" title="View user profile." href="/user/33">George Kadianakis</a></p>
    <a href="#comment-226592">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-226592" class="permalink" rel="bookmark">Got to appreciate the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Got to appreciate the honesty here.  (I admit I know little about either service.  Just learning) </p>
<p>Good article imho</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229115"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229115" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 29, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-226545" class="permalink" rel="bookmark">Hey, I didn&#039;t talk about</a> by <a class="tor" title="View user profile." href="/user/33">George Kadianakis</a></p>
    <a href="#comment-229115">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229115" class="permalink" rel="bookmark">Zcash is a scam m8 from a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Zcash is a scam m8 from a privacy-minded perspective its pretty bad you mentioned it and not Monero or even Cryptonote (anonymous by default).</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-226573"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-226573" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 20, 2016</p>
    </div>
    <a href="#comment-226573">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-226573" class="permalink" rel="bookmark">Great post as usual! What do</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Great post as usual! What do you think about OWS' BitHub = Bitcoin + GitHub <a href="https://whispersystems.org/blog/bithub/" rel="nofollow">https://whispersystems.org/blog/bithub/</a> ? Do you think you may implement such a thing for the Tor Project in the future? Thanks! And Happy end of the year!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-226615"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-226615" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 20, 2016</p>
    </div>
    <a href="#comment-226615">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-226615" class="permalink" rel="bookmark">I&#039;m surprised (though only a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm surprised (though only a little) that Torcoin wasn't mentioned. Yes, the project does seem to be abandoned, last time I checked, but still, Tor blog, Torcoin...</p>
<p>For those who don't know, Torcoin was a cryptocurrency that used a technique (protocol?) called TorPath to track Tor relays and their bandwidth, and associate a Torcoin address with them, allowing relays to mine coins by providing bandwidth to the network. I think it could have been an interesting, if not valuable, cryptocurrency that would have benefitted the Tor network, but unfortunately I lack the skills to revive it. Note that Torcoin was never developed or endorsed by the Tor Project, afaik. Any thoughts (even if trivial) from the Tor people about Torcoin?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-226646"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-226646" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  asn
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">George Kadianakis</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/33">George Kadianakis</a> said:</p>
      <p class="date-time">December 20, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-226615" class="permalink" rel="bookmark">I&#039;m surprised (though only a</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-226646">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-226646" class="permalink" rel="bookmark">Hello,
Torcoin was indeed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello,</p>
<p>Torcoin was indeed never developed or endorsed by the Tor project. The fact that 'Tor' is in its name is a bit sneaky on their part, since it actually confuses people into thinking it's an official project or that we should write blog posts about it.</p>
<p>I find the Torcoin concept kinda intriguing actually, but for this blog post I decided to focus on the really active and alive cryptocurrency projects benefiting from Tor.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229133"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229133" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">December 29, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-226615" class="permalink" rel="bookmark">I&#039;m surprised (though only a</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-229133">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229133" class="permalink" rel="bookmark">Check out a big analysis of</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Check out a big analysis of Torcoin and related projects here:</p>
<p><a href="https://blog.torproject.org/blog/tor-incentives-research-roundup-goldstar-par-braids-lira-tears-and-torcoin" rel="nofollow">https://blog.torproject.org/blog/tor-incentives-research-roundup-goldst…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-226631"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-226631" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 20, 2016</p>
    </div>
    <a href="#comment-226631">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-226631" class="permalink" rel="bookmark">AFAIK, applying Tor to the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>AFAIK, applying Tor to the problem of designing safe and secure cryptocurrences was not envisaged when onion routing was created.</p>
<p>I have a strategic suggestion for Shari: another possible future application for Tor might be the problem of designing safe and secure evoting systems which feature strong authentication just before the vote is cast, but preserve anonymity for the actual vote.  See</p>
<p><a href="https://www.eff.org/deeplinks/2016/02/voter-privacy-what-you-need-know-about-your-digital-trail-during-2016-election" rel="nofollow">https://www.eff.org/deeplinks/2016/02/voter-privacy-what-you-need-know-…</a><br />
Voter Privacy: What You Need to Know About Your Digital Trail During the 2016 Election<br />
Dave Maass<br />
29 Feb 2016</p>
<p>&gt; The right to an anonymous vote is a cornerstone of the U.S. democratic process. Yet from the time until you walk into the voting booth until long, long after you cast your ballot, your personal information is a highly sought-after commodity. Often your name, contact details, and political leanings are frighteningly easy for political campaigns to access, collect, share, trade, and sell.</p>
<p>Maybe Tor Project can put this on the list of suggested research topics for the privacy technology academic community?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-227547"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-227547" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 22, 2016</p>
    </div>
    <a href="#comment-227547">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-227547" class="permalink" rel="bookmark">If we have/had a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If we have/had a crypto-currency which is:<br />
- Anonymous<br />
- Lightweight on the client side (not miners)<br />
and a browser add-on that allow websites visitors to pay tiny amount of money at each visit, We could put an end to all the adds and privacy abuse from websites.<br />
If we take most major news websites as an example:<br />
- They don't gain much at each visit with the adds<br />
- They invade readers privacy as much as possible<br />
- The user pay in computer power and electricity (Tons of javascripts)  and bandwidth for the privacy invasion<br />
- The articles are often sponsored by companies voiding the little journalistic independence that was left.</p>
<p>At the end of the day the journalists also need to be paid but deteriorating the quality of the articles and abusing users to do it defeats the point.</p>
<p>However if we had a browser add-on that uses an anonymous and lightweight crypto-currency to make the user finance such websites with really tiny amount of money (given the amount  of revenue generated by adds it will not be hard to match) we could finance journalism, and have journalists have even better independence.</p>
<p>This could also extend to finance many of the people that do videos on youtube professionally without needing them to rely on youtube at all.</p>
<p>Free journalism!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-228064"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-228064" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 23, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-227547" class="permalink" rel="bookmark">If we have/had a</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-228064">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-228064" class="permalink" rel="bookmark">I think this is potentially</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I think this is potentially a great idea.</p>
<p>As a "fully torified news junkie", if there were only some easy to use and highly secure and throughly anonymous ecurrency I could use, I would voluntarily contribute to support my favorite news organizations. </p>
<p>Such a development would not be at all easy to achieve, I think, but it could solve the problem of Google and other giants of the next relying on stealing and sharing with anyone willing to pay so much extremely detailed and potentially dangerous information every citizen's minute by minute location and activities.</p>
<p>It follows that our community to should try to persuade Google to Make it So.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-228658"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-228658" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 25, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-227547" class="permalink" rel="bookmark">If we have/had a</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-228658">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-228658" class="permalink" rel="bookmark">There is such a browser with</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There is such a browser with some of those features <a href="https://www.brave.com/" rel="nofollow">https://www.brave.com/</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-232135"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-232135" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 23, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-227547" class="permalink" rel="bookmark">If we have/had a</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-232135">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-232135" class="permalink" rel="bookmark">You could check pivx</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You could check pivx <a href="https://bitcointalk.org/index.php?topic=1262920.0" rel="nofollow">https://bitcointalk.org/index.php?topic=1262920.0</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-229109"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229109" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 29, 2016</p>
    </div>
    <a href="#comment-229109">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229109" class="permalink" rel="bookmark">bitsquare?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>bitsquare?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229146"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229146" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 29, 2016</p>
    </div>
    <a href="#comment-229146">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229146" class="permalink" rel="bookmark">Britcoin (BRIT) is proudly</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Britcoin (BRIT) is proudly always on Tor.  Financial privacy is important to everyone, especially to us Brits. :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229543"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229543" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 01, 2017</p>
    </div>
    <a href="#comment-229543">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229543" class="permalink" rel="bookmark">Hi, I am the founder and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi, I am the founder and lead dev of Bitsquare [1].</p>
<p>Bitsquare is a decentralized Bitcoin exchange using Tor hidden services for it's custom P2P network. It uses a similar concept like Ricochet though is implemented in Java and does not share any code base with Ricochet.<br />
In Bitsquare all traffic is routed over Tor by default. Tor is integrated so the user does not need to install or configure anything. It is all open source (AGPL) and a community project.<br />
If any dev with Tor experience wants to help, please get in touch! There is plenty of work to be done...</p>
<p>Best regards and happy new year!<br />
Manfred</p>
<p>[1] <a href="https://bitsquare.io/" rel="nofollow">https://bitsquare.io/</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229591"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229591" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 01, 2017</p>
    </div>
    <a href="#comment-229591">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229591" class="permalink" rel="bookmark">Forget about Zcash. It&#039;s</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Forget about Zcash. It's corporate, taxed and terribly flawed (not anon by default). Cool kids use Monero.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-236891"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-236891" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 21, 2017</p>
    </div>
    <a href="#comment-236891">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-236891" class="permalink" rel="bookmark">Come and check out</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Come and check out Spectrecoin (XSPEC), we have integrated Tor in our codebase and we have anonymous transactions w/ ring signatures</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
